%define ppp_version 2.5.2
Name:          networkmanager-l2tp
Version:       1.20.20
Release:       1mamba
Summary:       L2TP and L2TP/IPsec support for NetworkManager
Group:         Graphical Desktop
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/nm-l2tp/NetworkManager-l2tp
Source:        https://github.com/nm-l2tp/NetworkManager-l2tp.git/%{version}/NetworkManager-l2tp-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphene-devel
BuildRequires: libgtk-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libnm-devel
BuildRequires: libnma-devel
BuildRequires: libnma-gtk4
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libopenssl-devel
BuildRequires: libpango-devel
BuildRequires: libsecret-devel
BuildRequires: libvulkan-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: ppp = %{ppp_version}
Requires:      ppp >= %{ppp_version}
Requires:      NetworkManager
Requires:      xl2tpd
Provides:      networkmanagervpnplugin

%description
L2TP and L2TP/IPsec support for NetworkManager.

%prep
%setup -q -n NetworkManager-l2tp-%{version}
export NOCONFIGURE=1
./autogen.sh

%build
%configure \
   --with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_version} \
   --with-gtk4

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} --all-name  || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_prefix}/lib/NetworkManager/VPN/nm-l2tp-service.name
%{_libdir}/NetworkManager/libnm-vpn-plugin-l2tp-editor.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-l2tp.so
%{_libdir}/pppd/2.5.2/nm-l2tp-pppd-plugin.so
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-l2tp-editor.so
%{_libexecdir}/nm-l2tp-auth-dialog
%{_libexecdir}/nm-l2tp-service
%{_datadir}/dbus-1/system.d/nm-l2tp-service.conf
%{_metainfodir}/network-manager-l2tp.metainfo.xml
%doc AUTHORS COPYING

%changelog
* Thu Jan 23 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20.20-1mamba
- package created using the webbuild interface
